#!/usr/bin/env python3
#
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.
"""This is a placeholder for all ICS values in PTS
    that matter to Fuchsia devices.
"""

# A2DP Values are just a placeholder.
A2DP_ICS = {
    b'TSPC_ALL': b'FALSE',
    b'TSPC_A2DP_0_1': b'FALSE',
    b'TSPC_A2DP_0_2': b'FALSE',
    b'TSPC_A2DP_0_3': b'FALSE',
    b'TSPC_A2DP_1_1': b'TRUE',
    b'TSPC_A2DP_1_2': b'TRUE',
    b'TSPC_A2DP_2_1': b'TRUE',
    b'TSPC_A2DP_2a_1': b'FALSE',
    b'TSPC_A2DP_2a_2': b'TRUE',
    b'TSPC_A2DP_2a_3': b'FALSE',
    b'TSPC_A2DP_2b_1': b'FALSE',
    b'TSPC_A2DP_2b_2': b'FALSE',
    b'TSPC_A2DP_2_2': b'TRUE',
    b'TSPC_A2DP_2_3': b'TRUE',
    b'TSPC_A2DP_2_4': b'TRUE',
    b'TSPC_A2DP_2_5': b'TRUE',
    b'TSPC_A2DP_2_6': b'TRUE',
    b'TSPC_A2DP_2_7': b'TRUE',
    b'TSPC_A2DP_2_8': b'FALSE',
    b'TSPC_A2DP_2_9': b'FALSE',
    b'TSPC_A2DP_2_10': b'TRUE',
    b'TSPC_A2DP_2_10a': b'FALSE',
    b'TSPC_A2DP_2_11': b'FALSE',
    b'TSPC_A2DP_2_12': b'FALSE',
    b'TSPC_A2DP_2_13': b'TRUE',
    b'TSPC_A2DP_2_14': b'TRUE',
    b'TSPC_A2DP_2_15': b'FALSE',
    b'TSPC_A2DP_2_16': b'FALSE',
    b'TSPC_A2DP_2_17': b'FALSE',
    b'TSPC_A2DP_3_1': b'TRUE',
    b'TSPC_A2DP_3_1a': b'FALSE',
    b'TSPC_A2DP_3_2': b'TRUE',
    b'TSPC_A2DP_3_3': b'FALSE',
    b'TSPC_A2DP_3_4': b'FALSE',
    b'TSPC_A2DP_3_5': b'TRUE',
    b'TSPC_A2DP_3_6': b'FALSE',
    b'TSPC_A2DP_3_7': b'FALSE',
    b'TSPC_A2DP_3_8': b'FALSE',
    b'TSPC_A2DP_3a_1': b'TRUE',
    b'TSPC_A2DP_3a_2': b'FALSE',
    b'TSPC_A2DP_3a_3': b'TRUE',
    b'TSPC_A2DP_3a_4': b'TRUE',
    b'TSPC_A2DP_3a_5': b'TRUE',
    b'TSPC_A2DP_3a_6': b'TRUE',
    b'TSPC_A2DP_3a_7': b'TRUE',
    b'TSPC_A2DP_3a_8': b'TRUE',
    b'TSPC_A2DP_3a_9': b'FALSE',
    b'TSPC_A2DP_3a_10': b'TRUE',
    b'TSPC_A2DP_3a_11': b'FALSE',
    b'TSPC_A2DP_3a_12': b'TRUE',
    b'TSPC_A2DP_4_1': b'TRUE',
    b'TSPC_A2DP_4_2': b'TRUE',
    b'TSPC_A2DP_4_3': b'FALSE',
    b'TSPC_A2DP_4_4': b'TRUE',
    b'TSPC_A2DP_4_5': b'TRUE',
    b'TSPC_A2DP_4_6': b'FALSE',
    b'TSPC_A2DP_4_7': b'TRUE',
    b'TSPC_A2DP_4_8': b'FALSE',
    b'TSPC_A2DP_4_9': b'TRUE',
    b'TSPC_A2DP_4_10': b'TRUE',
    b'TSPC_A2DP_4_10a': b'FALSE',
    b'TSPC_A2DP_4_11': b'FALSE',
    b'TSPC_A2DP_4_12': b'FALSE',
    b'TSPC_A2DP_4_13': b'TRUE',
    b'TSPC_A2DP_4_14': b'TRUE',
    b'TSPC_A2DP_4_15': b'FALSE',
    b'TSPC_A2DP_5_1': b'TRUE',
    b'TSPC_A2DP_5_1a': b'TRUE',
    b'TSPC_A2DP_5_2': b'TRUE',
    b'TSPC_A2DP_5_3': b'FALSE',
    b'TSPC_A2DP_5_4': b'FALSE',
    b'TSPC_A2DP_5_5': b'FALSE',
    b'TSPC_A2DP_5a_1': b'TRUE',
    b'TSPC_A2DP_5a_2': b'TRUE',
    b'TSPC_A2DP_5a_3': b'TRUE',
    b'TSPC_A2DP_5a_4': b'TRUE',
    b'TSPC_A2DP_5a_5': b'TRUE',
    b'TSPC_A2DP_5a_6': b'TRUE',
    b'TSPC_A2DP_5a_7': b'TRUE',
    b'TSPC_A2DP_5a_8': b'TRUE',
    b'TSPC_A2DP_5a_9': b'TRUE',
    b'TSPC_A2DP_5a_10': b'TRUE',
    b'TSPC_A2DP_5a_11': b'TRUE',
    b'TSPC_A2DP_5a_12': b'TRUE',
    b'TSPC_A2DP_7a_1': b'FALSE',
    b'TSPC_A2DP_7a_2': b'FALSE',
    b'TSPC_A2DP_7a_3': b'FALSE',
    b'TSPC_A2DP_7b_1': b'FALSE',
    b'TSPC_A2DP_7b_2': b'FALSE',

    # Not available in Launch Studio Yet
    b'TSPC_A2DP_10_1': b'FALSE',
    b'TSPC_A2DP_10_2': b'FALSE',
    b'TSPC_A2DP_10_3': b'FALSE',
    b'TSPC_A2DP_10_4': b'FALSE',
    b'TSPC_A2DP_10_5': b'FALSE',
    b'TSPC_A2DP_10_6': b'FALSE',
    b'TSPC_A2DP_11_1': b'FALSE',
    b'TSPC_A2DP_11_2': b'FALSE',
    b'TSPC_A2DP_11_3': b'FALSE',
    b'TSPC_A2DP_11_4': b'FALSE',
    b'TSPC_A2DP_11_5': b'FALSE',
    b'TSPC_A2DP_11_6': b'FALSE',
    b'TSPC_A2DP_12_2': b'FALSE',
    b'TSPC_A2DP_12_3': b'FALSE',
    b'TSPC_A2DP_12_3': b'FALSE',
    b'TSPC_A2DP_12_4': b'FALSE',
    b'TSPC_A2DP_13_1': b'FALSE',
    b'TSPC_A2DP_13_2': b'FALSE',
    b'TSPC_A2DP_13_3': b'FALSE',
    b'TSPC_A2DP_13_4': b'FALSE',
    b'TSPC_A2DP_14_1': b'FALSE',
    b'TSPC_A2DP_14_2': b'FALSE',
    b'TSPC_A2DP_14_3': b'FALSE',
    b'TSPC_A2DP_14_4': b'FALSE',
    b'TSPC_A2DP_14_5': b'FALSE',
    b'TSPC_A2DP_15_1': b'FALSE',
    b'TSPC_A2DP_15_2': b'FALSE',
    b'TSPC_A2DP_15_3': b'FALSE',
    b'TSPC_A2DP_15_4': b'FALSE',
    b'TSPC_A2DP_15_5': b'FALSE',
    b'TSPC_A2DP_15_6': b'FALSE',
    b'TSPC_A2DP_3_2a': b'FALSE',
    b'TSPC_A2DP_3_2b': b'FALSE',
    b'TSPC_A2DP_3_2c': b'FALSE',
    b'TSPC_A2DP_3_2d': b'FALSE',
    b'TSPC_A2DP_3_2e': b'FALSE',
    b'TSPC_A2DP_3_2f': b'FALSE',
    b'TSPC_A2DP_5_2a': b'FALSE',
    b'TSPC_A2DP_5_2b': b'FALSE',
    b'TSPC_A2DP_5_2c': b'FALSE',
    b'TSPC_A2DP_8_2': b'FALSE',
    b'TSPC_A2DP_8_3': b'FALSE',
    b'TSPC_A2DP_8_4': b'FALSE',
    b'TSPC_A2DP_9_1': b'FALSE',
    b'TSPC_A2DP_9_2': b'FALSE',
    b'TSPC_A2DP_9_3': b'FALSE',
    b'TSPC_A2DP_9_4': b'FALSE',

}


GATT_ICS = {
    b'TSPC_GATT_1_1': b'TRUE',
    b'TSPC_GATT_1_2': b'TRUE',
    b'TSPC_GATT_1a_1': b'TRUE',
    b'TSPC_GATT_1a_2': b'TRUE',
    b'TSPC_GATT_1a_3': b'TRUE',
    b'TSPC_GATT_1a_4': b'TRUE',
    b'TSPC_GATT_1a_5': b'FALSE',
    b'TSPC_GATT_1a_6': b'FALSE',
    b'TSPC_GATT_1a_7': b'FALSE',
    b'TSPC_GATT_1a_8': b'FALSE',
    b'TSPC_GATT_2_1': b'FALSE',
    b'TSPC_GATT_2_2': b'TRUE',
    b'TSPC_GATT_3_1': b'TRUE',
    b'TSPC_GATT_3_2': b'TRUE',
    b'TSPC_GATT_3_3': b'TRUE',
    b'TSPC_GATT_3_4': b'TRUE',
    b'TSPC_GATT_3_5': b'TRUE',
    b'TSPC_GATT_3_6': b'FALSE',
    b'TSPC_GATT_3_7': b'TRUE',
    b'TSPC_GATT_3_8': b'TRUE',
    b'TSPC_GATT_3_9': b'TRUE',
    b'TSPC_GATT_3_10': b'TRUE',
    b'TSPC_GATT_3_11': b'FALSE',
    b'TSPC_GATT_3_12': b'TRUE',
    b'TSPC_GATT_3_13': b'FALSE',
    b'TSPC_GATT_3_14': b'TRUE',
    b'TSPC_GATT_3_15': b'TRUE',
    b'TSPC_GATT_3_16': b'TRUE',
    b'TSPC_GATT_3_17': b'TRUE',
    b'TSPC_GATT_3_18': b'TRUE',
    b'TSPC_GATT_3_19': b'TRUE',
    b'TSPC_GATT_3_20': b'TRUE',
    b'TSPC_GATT_3_21': b'TRUE',
    b'TSPC_GATT_3_22': b'TRUE',
    b'TSPC_GATT_3_23': b'TRUE',
    b'TSPC_GATT_3_24': b'FALSE',
    b'TSPC_GATT_3_25': b'FALSE',
    b'TSPC_GATT_3_26': b'FALSE',
    b'TSPC_GATT_3B_1': b'FALSE',
    b'TSPC_GATT_3B_2': b'FALSE',
    b'TSPC_GATT_3B_3': b'FALSE',
    b'TSPC_GATT_3B_4': b'FALSE',
    b'TSPC_GATT_3B_5': b'FALSE',
    b'TSPC_GATT_3B_6': b'FALSE',
    b'TSPC_GATT_3B_7': b'FALSE',
    b'TSPC_GATT_3B_8': b'FALSE',
    b'TSPC_GATT_3B_9': b'FALSE',
    b'TSPC_GATT_3B_10': b'FALSE',
    b'TSPC_GATT_3B_11': b'FALSE',
    b'TSPC_GATT_3B_12': b'FALSE',
    b'TSPC_GATT_3B_13': b'FALSE',
    b'TSPC_GATT_3B_14': b'FALSE',
    b'TSPC_GATT_3B_15': b'FALSE',
    b'TSPC_GATT_3B_16': b'FALSE',
    b'TSPC_GATT_3B_17': b'FALSE',
    b'TSPC_GATT_3B_18': b'FALSE',
    b'TSPC_GATT_3B_19': b'FALSE',
    b'TSPC_GATT_3B_20': b'FALSE',
    b'TSPC_GATT_3B_21': b'FALSE',
    b'TSPC_GATT_3B_22': b'FALSE',
    b'TSPC_GATT_3B_23': b'FALSE',
    b'TSPC_GATT_3B_24': b'FALSE',
    b'TSPC_GATT_3B_25': b'FALSE',
    b'TSPC_GATT_3B_26': b'FALSE',
    b'TSPC_GATT_3B_27': b'FALSE',
    b'TSPC_GATT_3B_28': b'FALSE',
    b'TSPC_GATT_3B_29': b'FALSE',
    b'TSPC_GATT_3B_30': b'FALSE',
    b'TSPC_GATT_3B_31': b'FALSE',
    b'TSPC_GATT_3B_32': b'FALSE',
    b'TSPC_GATT_3B_33': b'FALSE',
    b'TSPC_GATT_3B_34': b'FALSE',
    b'TSPC_GATT_3B_35': b'FALSE',
    b'TSPC_GATT_3B_36': b'FALSE',
    b'TSPC_GATT_3B_37': b'FALSE',
    b'TSPC_GATT_3B_38': b'FALSE',
    b'TSPC_GATT_4_1': b'TRUE',
    b'TSPC_GATT_4_2': b'TRUE',
    b'TSPC_GATT_4_3': b'TRUE',
    b'TSPC_GATT_4_4': b'TRUE',
    b'TSPC_GATT_4_5': b'TRUE',
    b'TSPC_GATT_4_6': b'TRUE',
    b'TSPC_GATT_4_7': b'TRUE',
    b'TSPC_GATT_4_8': b'TRUE',
    b'TSPC_GATT_4_9': b'TRUE',
    b'TSPC_GATT_4_10': b'TRUE',
    b'TSPC_GATT_4_11': b'FALSE',
    b'TSPC_GATT_4_12': b'TRUE',
    b'TSPC_GATT_4_13': b'FALSE',
    b'TSPC_GATT_4_14': b'TRUE',
    b'TSPC_GATT_4_15': b'TRUE',
    b'TSPC_GATT_4_16': b'TRUE',
    b'TSPC_GATT_4_17': b'TRUE',
    b'TSPC_GATT_4_18': b'TRUE',
    b'TSPC_GATT_4_19': b'TRUE',
    b'TSPC_GATT_4_20': b'TRUE',
    b'TSPC_GATT_4_21': b'TRUE',
    b'TSPC_GATT_4_22': b'TRUE',
    b'TSPC_GATT_4_23': b'TRUE',
    b'TSPC_GATT_4_24': b'FALSE',
    b'TSPC_GATT_4_25': b'FALSE',
    b'TSPC_GATT_4_26': b'FALSE',
    b'TSPC_GATT_4_27': b'FALSE',
    b'TSPC_GATT_4B_1': b'FALSE',
    b'TSPC_GATT_4B_2': b'FALSE',
    b'TSPC_GATT_4B_3': b'FALSE',
    b'TSPC_GATT_4B_4': b'FALSE',
    b'TSPC_GATT_4B_5': b'FALSE',
    b'TSPC_GATT_4B_6': b'FALSE',
    b'TSPC_GATT_4B_7': b'FALSE',
    b'TSPC_GATT_4B_8': b'FALSE',
    b'TSPC_GATT_4B_9': b'FALSE',
    b'TSPC_GATT_4B_10': b'FALSE',
    b'TSPC_GATT_4B_11': b'FALSE',
    b'TSPC_GATT_4B_12': b'FALSE',
    b'TSPC_GATT_4B_13': b'FALSE',
    b'TSPC_GATT_4B_14': b'FALSE',
    b'TSPC_GATT_4B_15': b'FALSE',
    b'TSPC_GATT_4B_16': b'FALSE',
    b'TSPC_GATT_4B_17': b'FALSE',
    b'TSPC_GATT_4B_18': b'FALSE',
    b'TSPC_GATT_4B_19': b'FALSE',
    b'TSPC_GATT_4B_20': b'FALSE',
    b'TSPC_GATT_4B_21': b'FALSE',
    b'TSPC_GATT_4B_22': b'FALSE',
    b'TSPC_GATT_4B_23': b'FALSE',
    b'TSPC_GATT_4B_24': b'FALSE',
    b'TSPC_GATT_4B_25': b'FALSE',
    b'TSPC_GATT_4B_26': b'FALSE',
    b'TSPC_GATT_4B_27': b'FALSE',
    b'TSPC_GATT_4B_28': b'FALSE',
    b'TSPC_GATT_4B_29': b'FALSE',
    b'TSPC_GATT_4B_30': b'FALSE',
    b'TSPC_GATT_4B_31': b'FALSE',
    b'TSPC_GATT_4B_32': b'FALSE',
    b'TSPC_GATT_4B_33': b'FALSE',
    b'TSPC_GATT_4B_34': b'FALSE',
    b'TSPC_GATT_4B_35': b'FALSE',
    b'TSPC_GATT_4B_36': b'FALSE',
    b'TSPC_GATT_4B_37': b'FALSE',
    b'TSPC_GATT_4B_38': b'FALSE',
    b'TSPC_GATT_6_2': b'TRUE',
    b'TSPC_GATT_6_3': b'TRUE',
    b'TSPC_GATT_7_1': b'TRUE',
    b'TSPC_GATT_7_2': b'TRUE',
    b'TSPC_GATT_7_3': b'TRUE',
    b'TSPC_GATT_7_4': b'TRUE',
    b'TSPC_GATT_7_5': b'FALSE',
    b'TSPC_GATT_7_6': b'FALSE',
    b'TSPC_GATT_7_7': b'FALSE',
    b'TSPC_GATT_8_1': b'TRUE',
    b'TSPC_GAP_0_2': b'FALSE',
    b'TSPC_GAP_24_2': b'TRUE',
    b'TSPC_GAP_24_3': b'TRUE',
    b'TSPC_GAP_34_2': b'TRUE',
    b'TSPC_GAP_34_3': b'TRUE',
    b'TSPC_ALL': b'FALSE',
}


SDP_ICS = {
    b'TSPC_ALL': b'FALSE',
    b'TSPC_SDP_1_1': b'TRUE',
    b'TSPC_SDP_1_2': b'TRUE',
    b'TSPC_SDP_1_3': b'TRUE',
    b'TSPC_SDP_1b_1': b'TRUE',
    b'TSPC_SDP_1b_2': b'TRUE',
    b'TSPC_SDP_2_1': b'TRUE',
    b'TSPC_SDP_2_2': b'TRUE',
    b'TSPC_SDP_2_3': b'TRUE',
    b'TSPC_SDP_3_1': b'TRUE',
    b'TSPC_SDP_4_1': b'TRUE',
    b'TSPC_SDP_4_2': b'TRUE',
    b'TSPC_SDP_4_3': b'TRUE',
    b'TSPC_SDP_5_1': b'TRUE',
    b'TSPC_SDP_6_1': b'TRUE',
    b'TSPC_SDP_6_2': b'TRUE',
    b'TSPC_SDP_6_3': b'TRUE',
    b'TSPC_SDP_7_1': b'TRUE',
    b'TSPC_SDP_8_1': b'FALSE',
    b'TSPC_SDP_8_2': b'FALSE',
    b'TSPC_SDP_9_1': b'TRUE',
    b'TSPC_SDP_9_2': b'TRUE',
    b'TSPC_SDP_9_3': b'FALSE',
    b'TSPC_SDP_9_4': b'FALSE',
    b'TSPC_SDP_9_5': b'TRUE',
    b'TSPC_SDP_9_6': b'TRUE',
    b'TSPC_SDP_9_7': b'FALSE',
    b'TSPC_SDP_9_8': b'FALSE',
    b'TSPC_SDP_9_9': b'TRUE',
    b'TSPC_SDP_9_10': b'TRUE',
    b'TSPC_SDP_9_11': b'TRUE',
    b'TSPC_SDP_9_12': b'FALSE',
    b'TSPC_SDP_9_13': b'FALSE',
    b'TSPC_SDP_9_14': b'TRUE',
    b'TSPC_SDP_9_15': b'FALSE',
    b'TSPC_SDP_9_16': b'FALSE',
    b'TSPC_SDP_9_17': b'TRUE',
    b'TSPC_SDP_9_18': b'TRUE',
    b'TSPC_SDP_9_19': b'TRUE',
}
